<h1 align="center">JABE - Just Another Blogging Engine</h1>  
<div style="margin:auto;" align="center">
    <a href="https://ci.iwakura.rip/repos/1/branches/stable" target="_blank">
        <img src="https://ci.iwakura.rip/api/badges/1/status.svg?branch=stable" alt="status-badge" />
    </a>  
</div>

## A short introduction

_JABE_ is a blogging platform designed to be lightweight, easy to use & powered by Markdown.
It stems from an issue i've come across, where no blogging platform i could find was:

- easy to deploy.
- has fast loading times.
- simple enough for my -10 iq brain.

## State of Project

JABE is a work-in-progress, although it is in a more than usable state.

## Blogs using Disseminate

- [My own :)](https://blog.iwakura.rip)

## To-do

- [x] [HIGH] Server-side parsing.
- [x] [MEDIUM] Docker build system.
- [x] [MEDIUM] Proper metadata (title, date etc).
- [x] [MEDIUM] **Automated** prebuilt docker images.
- [ ] [LOW] Caching for faster load times.
- [ ] [LOW] Interface for blog management (web ui?).
- [ ] [LOW] Alternative frontend (solution)? (EJS is pretty primitive!)

## License

JABE uses the GNU GPLv3 license.
